Subject: Suspicious ownership or permission on harfbuzz-1.0.6-bin

From: Jeffrey Serio <[email-masked]>
Date: Tue, 08 Mar 2016 21:14:40 -0600

I'm running the GuixSD usb install image version 0.9.0. I booted into
the install environment, and after connecting to the internet I ran
"guix pull". After "guix pull", I prepared the system to install to hard
drive, then I ran "guix system init /mnt/etc/config.scm /mnt
--fallback".

The build failed with the error message "Suspicious ownership or
permission on /gnu/store/...-harfbuzz-1.0.6-bin".

mark_weaver on the IRC channel asked me to run the stat command on that
directory, so I ran "stat /gnu/store/...-harfbuzz-1.0.6-bin" (but with
the actual string of alphanumeric characters in place of the
ellipsis). The stat command indicated that the -harfbuzz-1.0.6-bin
directory permissions is 0777. To be more specific:

Access: (0777/drwxrwxrwx) Uid: (30001/guixbuilder01) Gid:
(30000/guixbuild).

Let me know if any more information is needed.

-Jeffrey (hyperreal on IRC)